:root {
    --dark-blue: rgb(18, 21, 26);
    --other-blue: rgb(30, 34, 41);
    --hover-blue: rgb(75, 78, 83);
    --orange: rgb(255, 102, 0);
    --light-orange: rgb(248, 180, 135);
    --default-white: rgb(244, 245, 246);
    --dark-white: rgb(225, 227, 228);
}

html {
    scroll-behavior: smooth;
    width: 100vw;
    overflow-x: hidden;
    word-wrap: break-word;
    hyphenate-character: auto;
    caret-color: transparent;
}

html::selection {
    background-color: rgba(187, 209, 221, 0.5);
}

body {
    margin: 0;
    background-color: var(--default-white);
    color: var(--dark-blue);
    width: 100vw;
    overflow-x: hidden;
    cursor: default;
}

::spelling-error {
    text-decoration: none;
}

::-webkit-scrollbar {
    width: 15px;
    background: var(--dark-white);
}

::-webkit-scrollbar-thumb {
    background: var(--other-blue);
    border: solid 3px var(--dark-white);
    border-radius: 10px;
}

h1 {
    font-family: 'Archivo', sans-serif;
    font-size: 80px;
    font-weight: 700;
    margin: 0px;
}

h3 {
    font-family: 'Archivo', sans-serif;
    font-size: 40px;
    font-weight: 700;
    margin: 0px;
}

h4 {
    font-family: 'Inter', sans-serif;
    font-size: 33px;
    font-weight: 400;
    margin: 0px;
}

h6 {
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 400;
    margin: 0px;
}

p {
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    margin: 0px;
}

.button {
    transition: 0.25s;
    padding: 15px;
    font-family: 'Archivo', sans-serif;
    font-weight: 700;
    font-size: 16px;
    text-decoration: none;
    background-color: var(--dark-blue);
    color: var(--default-white);
    border-radius: 8px;
    width: fit-content;
}
.button:hover {
    transition: 0.25s;
    background-color: var(--hover-blue);
    cursor: pointer;
}

.button2 {
    transition: 0.25s;
    padding: 15px;
    font-family: 'Archivo', sans-serif;
    font-weight: 700;
    font-size: 16px;
    text-decoration: none;
    background-color: var(--orange);
    color: var(--dark-blue);
    border-radius: 8px;
    width: fit-content;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    padding: 25px 50px;
    background-color: var(--dark-blue);
    color: var(--default-white);
    font-family: 'Inter';
}

.header img {
    height: 50px;
}

.header div {
    display: flex;
    gap: 50px;
    text-decoration-thickness: 2px;
    text-underline-offset: 5px;
}

.header a {
    color: var(--default-white);
    text-decoration: none;
}

.intro {
    padding: 100px;
    display: flex;
    justify-content: stretch;
    gap: 25px;
}

.intro-text-parent {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 25px;
    margin: 0px;
}

.intro-text {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 5px;
    margin: 0px;
}

.intro2 {
    padding: 100px;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    gap: 25px;
    background-color: var(--dark-blue);
    color: var(--default-white);
}

.cards-parent {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: fill;
    margin-left: 2.5vw;
    gap: 50px;
    margin-bottom: 100px;
    text-align: center;
    background-color: var(--default-white);
    box-shadow: 0 100px 0 100px var(--default-white);
}

.cards {
    padding: 0% 10%;
    display: grid;
    width: 80%;
    grid-template-columns: auto auto auto;
    gap: 10px;
    width: auto;
    height: min-content;
}

.card {
    display: flex;
    flex-direction: column;
    width: fill;
    height: fill;
    background-color: var(--dark-white);
    padding: 25px;
    gap: 25px;
    text-overflow: clip;
    border-radius: 16px;
    box-shadow: 0px 5px 5px rgba(225, 227, 228, 0.5);
    text-align: left;
}

.process {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: auto;
    gap: 50px;
    padding: 100px;
    text-align: center;
    background-color: var(--dark-blue);
    color: var(--default-white);
}

.list {
    list-style-type: decimal;
    font-family: 'Inter', sans-serif;
    font-size: 27px;
    font-weight: 400;
    text-align: left;
}

.list li {
    margin-bottom: 10px;
    margin-left: 25px;
}


.contact-form-parent {
    align-self: center;
    width: auto;
    margin-left: 2.5vw;
    margin-right: 2.5vw;
    margin-top: 100px;
    margin-bottom: 100px;
}

.contact-form {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 80%;
    padding: 0% 10%;
    gap: 25px;
    text-align: center;
    background-color: var(--default-white);
}

input, textarea {
    transition: 0.25s;
    width: 100%;
    padding: 15px;
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 400;
    border-radius: 8px;
    border: solid 1px var(--dark-white);
    outline: solid 0px var(--orange);
}

input:focus, textarea:focus {
    transition: 0.25s;
    border: solid 1px var(--dark-blue);
    caret-color: var(--dark-blue);
    background-color: var(--default-white);
}

button {
    transition: 0.25s;
    width: 100%;
    padding: 15px;
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 400;
    border-radius: 8px;
    border: solid 1px var(--dark-white);
    outline: solid 0px var(--orange);
    background-color: white;
}

button:hover {
    transition: 0.25s;
    background-color: var(--default-white);
    cursor: pointer;
}

button:active {
    transition: 0.25s;
    background-color: var(--dark-blue);
    cursor: pointer;
    color: var(--default-white);
}

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 25px 50px;
    background-color: var(--orange);
    color: var(--dark-blue);
    font-family: 'Inter';
}

.footer-text {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-right: 25px;
}

.footer-links {
    display: flex;
    gap: 50px;
}

.footer-links a {
    font-family: 'Archivo', sans-serif;
    font-size: 27px;
    font-weight: 700;
    color: var(--dark-blue);
    text-decoration: none;
}

@media (max-width: 1278px) {
    .footer-text h1 {
        font-size: 65px;
    }

    .footer-links {
        flex-direction: column;
        gap: 15px;
        text-align: right;
    }
}

@media (max-width: 1100px) {
    .cards {
        grid-template-columns: auto auto;
    }
}

@media (max-width: 1023px) {

    .intro-text-parent {
        width: 200%;
    }

    .intro-text {
        width: 100%;
    }

    .cards-parent h1 {
        font-size: 88px;
    }

    .process {
        padding-left: 50px;
        padding-right: 50px;
    }
}

@media (max-width: 987px) {
    .intro {
        color: var(--default-white);
        overflow: hidden;
        background-color: rgba(0, 0, 0, 0.66);
        height: fit-content;
    }

    .intro-text-parent {
        width: 100%;
        height: inherit;
    }

    .intro img {
        height: auto;
        width: 200vw;
        position: absolute;
        top: 50px;
        right: 0;
        z-index: -1;
        border-radius: 0px !important;
    }

    .intro a {
        background-color: var(--default-white);
        color: var(--dark-blue);
    }

    .cards-parent {
        padding-top: 50px;
    }
}

@media (max-width: 840px) {
    .cards-parent h6 {
        width: 90%;
    }
}

@media (max-width: 792px) {
    .header {
        padding-left: 40px;
        padding-right: 15px;
        justify-content: center;
        align-items: center;
    }

    .header img {
        display: none;
    }

    .header div{
        width: 90%;
        gap: fit-content;
        padding-right: 50px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

@media (max-width: 750px) {
    .cards {
        grid-template-columns: auto;
    }
}

@media (max-width: 700px) {
    h1 {
        font-size: 65px !important;
    }

    .footer-text h4 {
        font-size: 27px;
    }
}

@media (max-width: 650px) {
    .intro {
        padding-left: 50px;
        padding-right: 50px;
    }
}

@media (max-width: 550px) {
    h1 {
        font-size: 50px !important;
    }
}
